apiVersion: eksctl.io/v1alpha5
kind: ClusterConfig
metadata:
  name: xdm-eks
  region: eu-west-1
  version: "1.21"
  tags:
    Key: xdm-eks
managedNodeGroups:
- name: primary-group
  instanceType: t3a.large
  minSize: 3
  maxSize: 6
  iam:
    withAddonPolicies:
      autoScaler: true
vpc:
  # Should be set with the same VPC as the one used for the database, you need to set the VPC id and ip with at least two subnets from different availibility zones 
  id: vpc-XXX
  cidr: "X.X.X.X/16" 
  subnets:
    private:
      eu-west-1a:
        id: "subnet-XXXXX"
      eu-west-1b:
        id: "subnet-XXXXX"
      #eu-west-1c:
        #id: <subnet_id>

